<template>
  <div class="table-item">
    <p style="text-align: center;margin-bottom: 10px;">{{ laboratory.label }} {{ Number(month.split('-')[1]) }} 月份主管打分表</p>
    <el-table
    :data="tableData"
    style="width: 100%" height="calc(100% - 20px)">
      <el-table-column
        type="index"
        label="序号"
        width="55">
      </el-table-column>
      <el-table-column label="姓名" prop="name">
      </el-table-column>
      <el-table-column label="技能水平">
        <el-table-column label="20">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.num0" @change="handleChange" :min="0" :max="20"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="服从分工">
        <el-table-column label="20">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.num1" @change="handleChange" :min="0" :max="20"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="积极性">
        <el-table-column label="20">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.num2" @change="handleChange" :min="0" :max="20"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="5S-3定">
        <el-table-column label="10">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.num3" @change="handleChange" :min="0" :max="10"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="规章制度">
        <el-table-column label="10">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.num4" @change="handleChange" :min="0" :max="10"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="团结协作">
        <el-table-column label="10">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.num5" @change="handleChange" :min="0" :max="10"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="提案积分">
        <el-table-column label="10">
          <template slot-scope="scope">
            <el-input-number
            size="small"
            v-model="scope.row.num6" @change="handleChange" :min="0" :max="10"></el-input-number>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column label="得分">
      </el-table-column>
  </el-table>
  </div>
</template>

<script>
export default {
  props:{
    month:String,
    laboratory:Object
  },
  data () {
    return{
      tableData:[
        {
          num0:null,
          num1:null,
          num2:null,
          num3:null,
          num4:null,
          num5:null,
          num6:null,
        }
      ]
    }
  },
  methods:{
    handleChange(){}
  }
}
</script>

<style scoped>
.table-item{
  width: 100%;
  height: 100%;
}
>>>.el-table--border th.el-table__cell, .el-table__fixed-right-patch{
  border-color: rgb(225, 223, 223);
}
>>>.el-table .cell, .el-table--border .el-table__cell .cell{
  text-align: center;
}
.el-input-number{
  width: 110px;
}
</style>
